aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-09-14 00:29:48 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-09-14 00:29:48 +0000
commitca79f6655717db2bb37b5a6dee819b3e3c76d841 (patch)
treeabcebe896bda51a2d60ce0030e1eaf3b595428ba
parent3168d48bc712e382471eced5fd439cfd92e9b873 (diff)
downloadslackbuilds-ca79f6655717db2bb37b5a6dee819b3e3c76d841.tar.gz
slackbuilds-ca79f6655717db2bb37b5a6dee819b3e3c76d841.tar.bz2
privoxy: added user/group creation warning
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@194 370017ae-e619-0410-ac65-c121f96126d4
-rwxr-xr-xprivoxy/privoxy.SlackBuild6
1 files changed, 6 insertions, 0 deletions
diff --git a/privoxy/privoxy.SlackBuild b/privoxy/privoxy.SlackBuild
index 72194e9b..f4b0f684 100755
--- a/privoxy/privoxy.SlackBuild
+++ b/privoxy/privoxy.SlackBuild
@@ -23,6 +23,12 @@ SRC_DIR=${SRC:=$CWD}
TMP=${TMP:=/tmp}
REPOS=${REPOS:=$TMP}
+if ! grep -qe "^$PACKAGE:" /etc/passwd || ! grep -qe "^$PACKAGE:" /etc/group; then
+ echo "WARNING: user and/or group $PACKAGE does not exist"
+ echo "Create it manually with \"groupadd $PACKAGE ; useradd $PACKAGE -g $PACKAGE\" and run this script again."
+ exit 1
+fi
+
if [ "$ARCH" == "x86_64" ]; then
LIBDIR=/usr/lib64
else